SetStorefrontValidValues sets the valid values for an attribute spec whose valid values are unique to each storefront instance (e.g. a channel's approved item types, or a seller's business policies).
You call thisScope not enforced
POST
/v2/storefront/listing/valid_values
const url = 'https://api.zentail.com/v2/storefront/listing/valid_values';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"accountId":"example","storefrontId":"example","specId":"example","validValues":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v2/storefront/listing/valid_values \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "accountId": "example", "storefrontId": "example", "specId": "example", "validValues": [ "example" ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”SetStorefrontValidValuesRequest sets the valid values for an attribute spec whose valid values are unique to each storefront instance.
Media typeapplication/json
SetStorefrontValidValuesRequest sets the valid values for an attribute spec whose valid values are unique to each storefront instance.
object
accountId
string format: int64
storefrontId
string format: int64
specId
string
validValues
Array<string>
Examplegenerated
{ "accountId": "example", "storefrontId": "example", "specId": "example", "validValues": [ "example" ]}Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
SetStorefrontValidValuesResponse is an empty response.
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}